<?php

namespace App\Entities\Equipment;

use App\Models\Equipment\LineModel;

class LineEntity extends EquipmentEntity
{
    const PK = LineModel::PK;
    protected $attributes = [
        'title' => '',
        'bandwith' => '',
        'start_at' => 0,
        'end_at' => 0,
        'status' => STATUS['AVAILABLE'],
        'content' => '',
    ];
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }
    const TITLE = LineModel::TITLE;

    public function getBandwith(): string
    {
        return $this->attributes['bandwith'] ?? '';
    }
    public function getStartAt(): string
    {
        return $this->attributes['start_at'] ?? '';
    }

    public function getEndAt(): string
    {
        return $this->attributes['end_at'] ?? '';
    }
    public function getContent(): string
    {
        return $this->attributes['content'] ?? '';
    }
}
